import { SatisfactionType } from './enum/satisfaction-type';
export interface UserReviewParams{
  appointmentId: number,
  score        : number,
  type         : SatisfactionType,
}

export interface NotificationList {
  id: number;
  /** 標題 */
  title: string;
  /** 通知內容 */
  content: string;
  /** ACTIVITY(個人活動通知)、SYSTEM(系統通知) */
  notificationType: string;
  /** CUSTOMER(客戶)、CONSULTANT(顧問) */
  ownerRole: string;
  /** 登入者id */
  ownerId: number
  createdDate: string;
  /** 已讀時間 */
  readDate: string;
}

export interface UserReviewPlatformRes {
  agentNo?     : string;
  appointmentId: number;
  customerId   : string;
  id           : number,
  score        : string;
  type         : SatisfactionType;
}
